function x=laplinv(num,den,t)
% La fonction laplinv permet d'obtenir l'expression temporelle
% du signal x(t) dont on donne sa transforme de Laplace X(p)
% sous forme d'une fraction N(p)/D(p)
% function x=laplinv(num,den)
% x : valeurs du signal temporel x(t)
% num,den : numrateur et dnominateur de X(p)
% t : intervalle de temps pour les valeurs du signal x(t)

[r,p,k]=residue(num,den)
x=r'*exp(p*t);
