clear all;close all;

fs=500; T=1;
t=0:1/fs:T-1/fs;  
F=40; x=sin(2*pi*F*t); 

x1=x(1:5:end);  t1=t(1:5:end); % sampling rate: 100Hz
x2=x(1:10:end);  t2=t(1:10:end); % sampling rate: 50Hz

figure;
plot(t,x,'r','LineWidth',2);hold on; plot(t1,x1,'g','LineWidth',2); hold on; 
plot(t2,x2,'b','LineWidth',2);

N=length(x); N1=length(x1); N2=length(x2);
X=fft(x); X1=fft(x1); X2=fft(x2);
f=fs*(0:N-1)/N; 
f1=100*(0:N1-1)/N1;
f2=50*(0:N2-1)/N2;

figure; stem(f, abs(X)/fs/T,'r');hold on; 
figure;stem(f1, abs(X1)/100/T,'g');hold on; 
figure;stem(f2, abs(X2)/50/T,'b')
xlabel('Frequency (Hz)'); ylabel('Modulus')

