%
% apres avoir lance simu_modes
%
clear all; close all;
load simu1

raddeg=180/pi;
fs=32;

figure
subplot(211)
plot(t,pos);ylabel('Force');xlabel('time (s)');
subplot(212)
plot(t,yfinal);;ylabel('Displacement');xlabel('time (s)');

%
% calcul de la rponse en frquence du systme
%

nfft=1024;
noverlap=round(0.95*nfft);
%window=kaiser(nfft,2.5);
%window=boxcar(nfft);
window=hanning(nfft);
cadence=32;
fmin=0.5;
fmax=6.0;

[rf1,f]=tfe(pos,yfinal,nfft,cadence,window,noverlap,'linear');
[coh1,f]=cohere(pos,yfinal,nfft,cadence,window,noverlap,'linear');

ind=find(f>fmin & f<fmax);


figure
plot(f(ind),coh1(ind));ylabel('coherence');xlabel('frequency (Hz)');
figure
subplot(211)
plot(f(ind),abs(rf1(ind)));hold on;
subplot(212)
plot(f(ind),raddeg*angle(rf1(ind))); hold on;

% Matlab file to determine the Frequency response function given input and
% output data. The m-file assumes the input is f and the output is x.
%load chirp_data % load the swept sin data (this is x1, force and time)
dt = t(2)-t(1);
x=yfinal;
f=pos';
N=length(x);
% apply a window if desired
w=ones(N,1); % this is a place holder in case we want to apply a window in the future
xw=x.*w;
fw=f.*w;
% calculate the linear spectrum
FX=fft(xw);
FF=fft(fw);
% calculate the auto spectrum
SXF=FF.*conj(FX);
SXX=FX.*conj(FX);
SFF=FF.*conj(FF);
SFX=FX.*conj(FF);
% calculate the FRFs
TXF=SXX./SXF; %an alternative way of finding the FRF
TXF2=SFX./SFF; %this is the one usually used
lTXF2=length(TXF)/2; %the length of the FRF (it will be symmetric about 0)
freq=[0 ((1:lTXF2-1)/lTXF2/2/dt)]'; %set up a frequency vector
TXF_p=TXF(1:lTXF2); %extract the FRF for positive frequencies
mag=abs(TXF_p); %calculate the magnitude
ang=angle(TXF_p)*180/pi; %calculate the phase
%figure
subplot(2,1,1)
plot(freq,mag,'r--')
title('Txf - Transfer function magnitude'), ...
xlabel('Frequency (Hz)')
%grid on
subplot(2,1,2)
plot(freq,ang,'r--')
title('Txf - Phase'), ...
xlabel('Frequency (Hz)')
%grid on