clear all;close all;

fs=500;

N1=64;
N2=128;
N3=1024;

T=0.1%0.1%1%3;
t=0:1/fs:T-1/fs;  
F=40; x=sin(2*pi*F*t); 

X1=fft(x,N1); 
f1=fs*(0:N1-1)/N1; 

X2=fft(x,N2); 
f2=fs*(0:N2-1)/N2; 

X3=fft(x,N3); 
f3=fs*(0:N3-1)/N3; 

figure(1);
plot(t,x,'LineWidth',2);
xlabel('Time in sec');
figure(2); subplot(311);stem(f1, abs(X1)/fs/T,'r');hold on; 
 subplot(312);stem(f2, abs(X2)/fs/T,'g');hold on; 
 subplot(313);stem(f3, abs(X3)/fs/T,'b');hold on;
 xlabel('Frequency (Hz)'); ylabel('Modulus')
 
 
 N=length(x);
whan=hanning(N)
 xhan=x.*whan';
 X3h=fft(xhan,N3); 
 
 figure(3);
 subplot(211);
 stem(f3, abs(X3)/fs/T,'b');hold on;
 subplot(212);
  stem(f3, abs(X3h)/fs/T,'k');hold on;
 xlabel('Frequency (Hz)'); ylabel('Modulus')
 


